## org.freedesktop.UDisks2.Manager.BTRFS

org.freedesktop.UDisks2.Manager.BTRFS — BTRFS add-on to the manager singleton

## Methods

    CreateVolume (IN  ao    devices,
                  IN  s     label,
                  IN  s     data_level,
                  IN  s     md_level,
                  IN  a{sv} options);

## Description

Additional interface with BTRFS specifics for top-level manager singleton object located at the object path `/org/freedesktop/UDisks2/Manager`.

Since 2.1.3

## Method Details

### The CreateVolume() method

    CreateVolume (IN  ao    devices,
                  IN  s     label,
                  IN  s     data_level,
                  IN  s     md_level,
                  IN  a{sv} options);

Creates a new volume from `devices`.

No additional options are currently defined.

Changed in version 2.7.0.

`IN ao `devices``: | An array of object paths to objects implementing the org.freedesktop.UDisks2.Block interface.
`IN s `label``: | The label for the new volume.
`IN s `data_level``: | The RAID level for the new volume.
`IN s `md_level``: | The RAID level for metadata.
`IN a{sv} `options``: | Additional options.

Since 2.3.0